# Mods

These two resource-packs are preinstalled:
- [`Better Leaves` by MidnightDust](https://modrinth.com/resourcepack/better-leaves)
- [`Incendium Optional Resourcepack` by Stardust](https://modrinth.com/resourcepack/incendium-optional-resourcepack)

## Included
### Performance
- `Chunky Pregenerator` — pre-generate chunks (server-only)
- `Dynamic FPS` — reduces FPS when in background
- `Krypton` — network stack optimisation
- `LazyDFU` — improves startup time
- `Lithium` — general-purpose optimisation
- `Sodium` — rendering engine replacement

### Graphics
- `BedrockWaters` — biome-specific water properties
- `cat_jam` — cats jam to the rhythm of music discs 
- `Continuity` — connected textures
- `Enhanced Block Entities` — smooth lighting on block entities (+ performance improvements)
- `Falling Leaves` — falling leaves particles
- `Iris Shaders` — shaders
- `Make Bubbles Pop`
- `Not Enough Animations` — third-person animations
- `Sodium Extra` — more settings

### World-gen
- `ChoiceTheorem's Overhauled Village` — more village types
- `Incendium` — more biomes and structures in the Nether
- `Nullscape` — more biomes and structures in the End
- `Terralith` — more biomes and structures in the Overworld
- `Wilder Wild`

### Building blocks
- `Adorn` — furniture
- `Chipped` — more block variants
- `Cooking for Blockheads` — cooking and kitchen furniture
- `Create: Bells & Whistles` — more Create-style blocks
- `Create: Extended Cogwheels` — more cog types for `Create`
- `Display Case` — block displaying a single item
- `Handcrafted` — furniture
- `Infinity Buttons` — more buttons
- `Lanterns Belong on Walls` — allows placing lanterns on walls
- `Macaw's Paintings` — more paintings
- `More Beautiful Torches` — more torch variants

### Technology
- `Applied Energistics 2` — automation and storage
- `CC: Tweaked` — computers
- `Create` (actually `Create Fabric Sodium Fix` because of [this issue](https://github.com/Fabricators-of-Create/Create/issues/1039))
- `Create Crafts & Additions` — bridge between electricity and kinetic energy
- `Create Enchantment Industry Fabric` — automatic enchanting with `Create`
- `Create Jetpack`
- `Create: New Age` — `Create`-style electricity
- `Create Utilities` — teleportation features for `Create` <sup>wrong semver</sup>
- `Create Renewable Ores` (data-pack) — `Create` recipes for otherwise non-craftable blocks
- `Create: Steam 'n' Rails` — enhances `Create`’s railway system

### GUI
- `AppleSkin` — hunger/health-related HUD improvements
- `Better Statistics Screen`
- `Enchantment Descriptions`
- `Jade 🔍` — information about what you are looking at
- `Jade Addons`
- `Mod Menu` — adds a mod menu
- `Paginated Advancements` — improved advancements screen
- `Raised` — fixes the hotbar position
- `Reese's Sodium Options` — replaces the graphics settings
- `Roughly Enough Items`

### Compatibility
- `Animatica` — animated textures
- `CC:C Bridge` — `Create` + `CC: Tweaked`
- `Create Slice & Dice` — `Create` + `Farmer's Delight`
- `Entity Texture Features` — random+emissive textures
- `Indium` — `Lithium` + `Fabric Rendering API`

### Miscellaneous
- `Additional Additions` — various items
- `Amecs` — better keybindings
- `Animal Feeding Trough` — block allowing animals to self-feed
- `Auth Me` — in-game session re-validation
- `Axes are Weapons` — allows sword enchantments for axes
- `Crawl` — allows to crawl by pressing a key
- `Debugify` — fixes various bugs
- `Discs Where Discs Shouldn't Be` — more music discs
- `Extended Drawers` — storage drawers
- `Extra Enchantments and Curses` — more enchantments
- `Fabric Waystones` — waystones
- `Farmer's Delight` — expansion of farming and cooking
- `Grappling Hook Mod: Restitched` 
- `Gravestones`
- `Ice Boat nerf` — boats don’t go extra fast on ice
- `Infusion Table` — enchanted item → enchanted book
- `Lighty` — light-level overlay
- `More Music Discs` — more music discs
- `Mouse Tweaks`
- `Nature's Compass` — biome compass
- `Replanting Crops` — automatically replants crops harvested with a hoe
- `Stack Refill` — automatically refills the player’s hand
- `Supplementaries` — various items
- `Traveler's Backpack` — backpacks
- `Tree Harvester` — fast tree harvesting + fast leaf decay
- `Zoomify` — zoom

### Modpack utilities
- `Global Packs` 
- `Main Menu Credits`
- `OneTimeOverrides`
- `Remove Terralith Intro Message`

### Library
- `Architectury` — required by `Animal Feeding Trough`
- `Athena` — required by `Chipped`
- `Balm` — required by `Cooking for Blockheads`
- `Bookshelf` — required by `Enchantment Description`
- `Botarium` — required by `Create: New Age`
- `Cardinal Components API` — required by `Traveler's Backpack`
- `Cloth Config API` — required by `Roughly Enough Items`
- `Collective` — required by `Stack Refill`, `Tree Harvester`, `Replanting Crops`
- `Dawn API` — required by `Culinaire`
- `Fabric API`
- `Fabric Language Kotlin` — required by `Adorn`, `OneTimeOverrides`, `Zoomify`
- `Freecam` — control your camera separately from your player
- `Moonlight Lib` — required by `Supplementaries`
- `oωo` — required by `Fabric Waystones`, `Infinity Buttons`
- `Resourceful Lib` — required by `Chipped`, `Handcrafted`
- `Statement` — required by `Lanterns Belong on Walls`
- `Trinkets` — required by `Traveler's Backpack`
- `YetAnotherConfigLib` — required by `Zoomify`

## Not included
### Experimental
These mods would be in the pack if they were stable/finished.
- `Concurrent Chunk Management Engine` — multithreaded chunk management
- `Consistency+`
- `Deeper and Darker` — enhance the Deep Dark
- `Eureka` — custom ships, compatible with Create
- `Immersive Portals`
- `Resounding` — realistic sound physics

### Incompatible loader/version
- `Campanion` — various camping-themed items
- `Create: Crystal Clear Refabricated`

## In consideration
- `Culinaire` — more food items: no interoperability with `Farmer's Delight`, leading to duplication.